Page MenuHomePhabricator

Content Translation: the Youdao Machine Translation does not work.
Closed, ResolvedPublic

Description

Currently, in Content Translation tool, from English to Chinese, if user try to ask for result from Youdao translation tool, the output would be in English same as the input. Please take a look at that.

Event Timeline

C933103 created this task.Nov 23 2017, 7:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 23 2017, 7:42 AM

Console error is:

Failed to load resource: the server responded with a status of 500 ()

Change 393042 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Youdao: Fix js error: self not defined

https://gerrit.wikimedia.org/r/393042

santhosh claimed this task.Nov 23 2017, 9:54 AM

Change 393042 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Youdao: Fix js error: self not defined

https://gerrit.wikimedia.org/r/393042

KartikMistry triaged this task as High priority.Nov 23 2017, 11:22 AM
KartikMistry moved this task from Backlog to In Review on the Language-2017-Oct-Dec board.

Mentioned in SAL (#wikimedia-operations) [2017-11-23T11:34:10Z] <kartik@tin> Started deploy [cxserver/deploy@51b78ce]: T181209 Update cxserver to e8fe3f0 to fix Youdao MT

Mentioned in SAL (#wikimedia-operations) [2017-11-23T11:37:11Z] <kartik@tin> Finished deploy [cxserver/deploy@51b78ce]: T181209 Update cxserver to e8fe3f0 to fix Youdao MT (duration: 03m 01s)

It is not working for me in production. Either applies the source text or falls back to another provider.

It's now working on my end.

KartikMistry moved this task from QA to Done on the Language-2017-Oct-Dec board.Nov 27 2017, 5:58 AM
Arrbee closed this task as Resolved.Dec 4 2017, 7:23 AM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Dec 5 2017, 1:48 AM